Skip to content
GAMPEONCreate
New project

Your friends, requests and blocks

GET
/v1/me/friends
curl --request GET \
--url https://api.gampeon.com/v1/me/friends \
--header 'Authorization: Bearer <token>'

Not available with access tokens.

Lists

Media typeapplication/json
object
friends
required
Array
object
handle
required
string
displayName
required
string
since
required

Unix time in milliseconds

integer format: int64
online
required

Active in the last 3 minutes, if this friend shows it

boolean
points
required

Achievement points (level = points / 100 + 1)

integer
incoming
required
Array<object>
object
handle
required
string
displayName
required
string
since
required

Unix time in milliseconds

integer format: int64
outgoing
required
Array<object>
object
handle
required
string
displayName
required
string
since
required

Unix time in milliseconds

integer format: int64
blocked
required
Array<object>
object
handle
required
string
displayName
required
string
since
required

Unix time in milliseconds

integer format: int64
limits
required
object
friends
required
integer
pendingOutgoing
required
integer

Example generated

{
"friends": [
{
"handle": "example",
"displayName": "example",
"since": 1,
"online": true,
"points": 1
}
],
"incoming": [
{
"handle": "example",
"displayName": "example",
"since": 1
}
],
"outgoing": [
{
"handle": "example",
"displayName": "example",
"since": 1
}
],
"blocked": [
{
"handle": "example",
"displayName": "example",
"since": 1
}
],
"limits": {
"friends": 1,
"pendingOutgoing": 1
}
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback